-- MySQL Workbench Synchronization
-- Generated: 2021-8-4 16:53
-- Model: New Model
-- Version: D07.03.01
-- Project: nccs`
-- Author: ww
SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE TABLE IF NOT EXISTS `nccs`.`EnvironmentalParameters`  (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `ProtocolFieldName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数在协议中对应的字段',
  `Name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数名称',
  `Unit` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '单位',
  `ExactValue` float(20, 9) UNSIGNED NOT NULL DEFAULT 1.000000000 COMMENT '精确度',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `protocolFieldName`(`ProtocolFieldName`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


-- SystemLog
ALTER TABLE `SystemLog` DROP PRIMARY KEY, ADD PRIMARY KEY (`id`, `at`);

-- DeviceLog
ALTER TABLE `DeviceLog` ADD COLUMN `DeviceName` varchar(255) NOT NULL DEFAULT '' COMMENT '设备位置名称' AFTER `DeviceID`;
ALTER TABLE `DeviceLog` ADD COLUMN `UserName` varchar(255) NOT NULL DEFAULT '' COMMENT '用户姓名' AFTER `CtrlUser`;
ALTER TABLE `DeviceLog` MODIFY COLUMN `DateTime`  datetime NOT NULL AFTER `DeviceName`, DROP PRIMARY KEY, ADD PRIMARY KEY (`DevLogID`, `DateTime`);

-- DeviceLog.UserName init value
UPDATE DeviceLog, Users SET DeviceLog.UserName = Users.User_Desc WHERE DeviceLog.CtrlUser IS NOT NULL AND DeviceLog.CtrlUser = Users.User_ID AND DeviceLog.UserName = '' AND Users.User_Desc IS NOT NULL;
UPDATE DeviceLog, Users SET DeviceLog.UserName = Users.User_Name WHERE DeviceLog.CtrlUser IS NOT NULL AND DeviceLog.CtrlUser = Users.User_ID AND DeviceLog.UserName = '' AND Users.User_Name IS NOT NULL;
UPDATE DeviceLog, Users SET DeviceLog.UserName = Users.User_Sn WHERE DeviceLog.CtrlUser IS NOT NULL AND DeviceLog.CtrlUser = Users.User_ID AND DeviceLog.UserName = '' AND Users.User_Sn IS NOT NULL;
UPDATE DeviceLog, Users SET DeviceLog.UserName = Users.Phone WHERE DeviceLog.CtrlUser IS NOT NULL AND DeviceLog.CtrlUser = Users.User_ID AND DeviceLog.UserName = '' AND Users.Phone IS NOT NULL;
-- DeviceLog.DeviceName init value
UPDATE DeviceLog, DeviceList SET DeviceLog.DeviceName = CONVERT(convert(DeviceList.Dev_Description USING gbk), CHAR(255)) WHERE DeviceLog.DeviceID IS NOT NULL AND DeviceLog.DeviceID = DeviceList.DevID AND DeviceLog.DeviceName = '' AND DeviceList.Dev_Description IS NOT NULL;
UPDATE DeviceLog, DeviceList SET DeviceLog.DeviceName = DeviceList.Dev_Name WHERE DeviceLog.DeviceID IS NOT NULL AND DeviceLog.DeviceID = DeviceList.DevID AND DeviceLog.DeviceName = '' AND DeviceList.Dev_Name IS NOT NULL;
UPDATE DeviceLog SET DeviceName = DeviceID WHERE DeviceName = '';

CREATE TABLE IF NOT EXISTS `nccs`.`EnvControlDevices`  (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `EnvCtrlInfoID` int(10) NOT NULL,
  `DeviceID` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `ctrlID_devID`(`EnvCtrlInfoID`, `DeviceID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE IF NOT EXISTS `nccs`.`EnvControlInfo`  (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `Type` int(10) NOT NULL COMMENT '策略类型。1：环境策略',
  `Name` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '策略的名称',
  `Conditions` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '{}' COMMENT '策略条件。json格式',
  `Duration` int(10) NOT NULL COMMENT '满足条件以后需要持续该时间长度才执行任务',
  `Operation` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL  DEFAULT '{}' COMMENT '该策略需要执行的操作。json格式',
  `Weekday` int(10) NOT NULL COMMENT '表示周几。bit1-bit6表示周一到周六，bit0表示周天',
  `EntryTimeType` int(10) NOT NULL COMMENT '生效时间类型 0：表示每天中哪个时间范围执行该策略 1：表示每天中哪个时间点执行该策略',
  `StartTime` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '与EndTime一起作用，比如：08:00:00 EntryTimeType = 0时有效',
  `EndTime` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '与StartTime一起作用，比如：12:00:00 EntryTimeType = 0时有效',
  `TimeSpot` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '比如：09:00:00 EntryTimeType = 2时有效',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
