-- MySQL Workbench Synchronization
-- Generated: 2022-02-14 14:33:28
-- Model: nccs
-- Version: D07.03.10
-- Project: idsteServers
-- Author: youxy(youxy@idste.cn)

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';



CREATE TABLE IF NOT EXISTS `LogicClasses` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `extend_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `nameSchoolIndex` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `LogicClassDevices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) NOT NULL,
  `device` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `classDevIndex` (`class_id`,`device`) USING BTREE,
  KEY `devForeignKeyIndex` (`device`) USING BTREE,
  CONSTRAINT `classForeignKey` FOREIGN KEY (`class_id`) REFERENCES `LogicClasses` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `devForeignKey` FOREIGN KEY (`device`) REFERENCES `DeviceList` (`DevID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP function IF EXISTS get_child_list;
DELIMITER $$
CREATE function get_child_list(in_id VARCHAR(10)) returns VARCHAR(8000)
BEGIN
    declare ids varchar(8000) default '';
    declare temp_ids varchar(8000);

    SET temp_ids= in_id;
    while temp_ids is NOT NULL do
            SET ids = concat_ws(',',ids,temp_ids);
            SELECT GROUP_CONCAT(`ClassID`) into temp_ids FROM nccs.`DevClasses` WHERE FIND_IN_SET(`Parent`, temp_ids);
        END while;
    return ids;
END $$
DELIMITER ;

insert into  LogicClasses(name,extend_name) select distinct concat(dc.Name,dc.ClassID,pk.`Index`),dc.ClassID from PlayerKeys pk inner join DevClasses dc on dc.ClassID=pk.GroupID;
insert into  LogicClassDevices(class_id, device) SELECT DISTINCT lc.id,dl.DevID FROM LogicClasses lc INNER JOIN DevClasses dc on FIND_IN_SET(dc.ClassID,get_child_list (lc.extend_name))	INNER JOIN DeviceList dl on dl.Parent=dc.ClassID;


DROP function IF EXISTS get_child_list;





SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;