-- MySQL Workbench Synchronization
-- Generated: 2022-11-11 14:44:57
-- Model: nccs
-- Version: D08.01.04
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- 去掉IC卡号前面的0
UPDATE Users SET ICCard = REPLACE(LTRIM(REPLACE(ICCard, 0, ' ')), ' ', 0);



ALTER TABLE `nccs`.`BroadcastMode` ADD COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 0 COMMENT '0:设备，1：空间 ，2：分组' AFTER `StopEntryID`;



ALTER TABLE `nccs`.`EnvControlInfo` ADD COLUMN `ReceivingEndType` int(10) NOT NULL DEFAULT 0 COMMENT '0: 设备 1：空间，2：分组' AFTER `TimeSpot`;


ALTER TABLE `nccs`.`GraphicSessions` ADD COLUMN `receiving_end_type` int(11) NOT NULL DEFAULT 0 AFTER `update_status_time`;



CREATE TABLE IF NOT EXISTS `nccs`.`Monitor`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `space_id` int(11) NOT NULL DEFAULT 0,
    `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '主码流',
    `sub_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '副码流',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `space_id`(`space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '监控' ROW_FORMAT = Dynamic;



ALTER TABLE `nccs`.`PlaySessions` ADD COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 0 COMMENT '0: 设备 1：空间，2：分组' AFTER `Template`;

CREATE TABLE IF NOT EXISTS `nccs`.`RemotePC`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `ip` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `ctrl_pwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `view_pwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
    `port` int(255) NOT NULL DEFAULT 0,
    `space_id` int(11) NOT NULL,
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `space_id`(`space_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '远程电脑控制' ROW_FORMAT = Dynamic;


CREATE TABLE IF NOT EXISTS `nccs`.`Space`  (
     `id` int(11) NOT NULL AUTO_INCREMENT,
     `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '空间名称',
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '空间表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `nccs`.`SpaceAndDevice`  (
    `space_id` int(11) NOT NULL COMMENT '空间ID',
    `dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备ID',
    `is_master` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:从设备，1：主设备',
    `enable_audio` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:禁用，1：启用',
    `enable_video` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:禁用，1：启用',
    `enable_rf` tinyint(1) NOT NULL DEFAULT 1 COMMENT '0:禁用，1：启用 默认启用 ',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    UNIQUE INDEX `space_id`(`space_id`, `dev_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


ALTER TABLE `nccs`.`Users` ADD COLUMN `UseReceivingEndType` int(11) NOT NULL DEFAULT 0 AFTER `SyncLockEndTime`;

ALTER TABLE `nccs`.`Users` ADD COLUMN `MgrReceivingEndType` int(11) NOT NULL DEFAULT 0 AFTER `UseReceivingEndType`;

-- 音频媒体编码设置为MP3
UPDATE `MediaFiles` SET `AudioCodec` = 1 WHERE `AudioCodec` = 0 AND `VedioCodec` = -1;

-- 今日任务区分PC呼叫台和BW801
ALTER TABLE `SessionHistory` ADD COLUMN `PlayerID`  varchar(50) NOT NULL DEFAULT '' COMMENT '采播设备ID' AFTER `HistoryDate`;

-- 初始化用户 设备权限

UPDATE Users SET UseReceivingEndType=1,MgrReceivingEndType=1;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;