-- MySQL Workbench Synchronization
-- Generated: 2022-11-11 14:44:57
-- Model: nccs
-- Version: D08.01.04
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';


CREATE TABLE IF NOT EXISTS `nccs`.`CLKMode`  (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '电子时钟任务名称',
  `start_time` datetime(0) NOT NULL COMMENT '模式开始时间',
  `start_entry_id` int(11) NOT NULL DEFAULT 0 COMMENT '模式开始时间在cron中的entry id',
  `end_time` datetime(0) NOT NULL COMMENT '模式结束时间。以unix时间戳形式下发。type=0时，该值为0；type=3时，是考试的结束时间；type=1或者type=2时，表示模式结束的绝对时间。',
  `end_entry_id` int(11) NOT NULL DEFAULT 0 COMMENT '模式结束时间在cron中的entry id',
  `priority` int(11) NOT NULL COMMENT '任务优先级',
  `mode_array` json NOT NULL COMMENT '电子时钟模式,一个数组，json格式。每个元素包含了电子时钟id，电子时钟的模式(0：普通模式，显示年月日时分秒 1：中考模式，显示”距离中考还有xx天” 2：高考模式，显示“距离高考还有xx天” 3：普通考试模式，显示”距离考试结束还有xx分钟”)。',
  `receive_member_type` int(11) NOT NULL COMMENT '任务接收成员类型',
  `owner` int(11) NOT NULL COMMENT '所属用户                                                         ',
  `update_at` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新该条数据的时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE IF NOT EXISTS `nccs`.`CLKModeMember`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mode_id` int(11) NOT NULL COMMENT '模式id',
  `partition_id` int(11) NOT NULL COMMENT '空间或者分组id',
  `update_at` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `taskid_memberid`(`partition_id`, `mode_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;