-- MySQL Workbench Synchronization
-- Generated: 2022-11-11 14:44:57
-- Model: nccs
-- Version: D08.01.04
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';


INSERT INTO ReportData(table_id,row_id,header_column_id,base_id,val) SELECT * FROM (SELECT table_id,row_id,header_column_id,CONCAT('temp',s.id) as base_id,SUM(val) as val FROM ReportData r INNER JOIN Space s on s.master_dev_id=RIGHT(base_id,10) and s.is_deleted=0    GROUP BY table_id,row_id,header_column_id,RIGHT(base_id,10)) as a;
DELETE FROM ReportData WHERE LEFT(base_id,4)!='temp';
UPDATE  ReportData SET base_id=SUBSTRING(base_id,5);

ALTER TABLE `nccs`.`CLKMode` MODIFY COLUMN `receive_member_type` int(11) NOT NULL DEFAULT 1 COMMENT '任务接收成员类型' AFTER `mode_array`;

ALTER TABLE `nccs`.`DeviceReserve` ADD COLUMN `SpaceID` int(11) NOT NULL AFTER `ClassName`;

ALTER TABLE `nccs`.`DeviceReserveHistory` ADD COLUMN `SpaceID` int(11) NOT NULL AFTER `ClassName`;

ALTER TABLE `nccs`.`DeviceReserve` MODIFY COLUMN `DeviceID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '设备ID' AFTER `SpaceID`;

ALTER TABLE `nccs`.`EnvControlInfo` MODIFY COLUMN `ReceivingEndType` int(10) NOT NULL DEFAULT 1 COMMENT '0: 设备 1：空间，2：分组' AFTER `TimeSpot`;

ALTER TABLE `nccs`.`GraphicSessions` MODIFY COLUMN `receiving_end_type` int(11) NOT NULL DEFAULT 1 AFTER `update_status_time`;

ALTER TABLE `nccs`.`PartitionNode` ADD COLUMN `node_type` int(11) NOT NULL DEFAULT 0 AFTER `name`;

ALTER TABLE `nccs`.`PlaySessions` MODIFY COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 1 COMMENT '0: 设备 1：空间，2：分组' AFTER `Template`;

ALTER TABLE `nccs`.`SessionAndPartitionNode` ADD COLUMN `key_index` int(11) NOT NULL DEFAULT 0 AFTER `partition_id`;

ALTER TABLE `nccs`.`SessionAndPartitionNode` ADD COLUMN `node_disabled` int(11) NOT NULL DEFAULT 0 AFTER `key_index`;

ALTER TABLE `nccs`.`BroadcastMode` MODIFY COLUMN `ReceivingEndType` int(11) NOT NULL DEFAULT 1 COMMENT '0: 设备 1：空间，2：分组' AFTER `StopEntryID`;


update  CLKMode set receive_member_type=1 where receive_member_type=0;

update  BroadcastMode set ReceivingEndType=1 where ReceivingEndType=0;

update  EnvControlInfo set ReceivingEndType=1 where ReceivingEndType=0;

update  GraphicSessions set receiving_end_type=1 where receiving_end_type=0;

update PlaySessions set  ReceivingEndType=1 where ReceivingEndType=0;


insert into BrdModeAndPartitionNode(brd_mode_id, partition_id) SELECT DISTINCT b.BrdModeID,pn.id from BrdModeMember b inner join SpaceAndDevice sd on b.DeviceID=sd.dev_id inner join PartitionNode pn on sd.space_id = pn.space_id inner join `Partition` p on (sd.space_id = pn.space_id  and p.is_deleted=0) on duplicate key update brd_mode_id=values(brd_mode_id),partition_id=values(BrdModeAndPartitionNode.partition_id);

insert into EnvControlAndPartitionNode(env_ctrl_info_id, partition_id) SELECT DISTINCT b.`EnvCtrlInfoID`,pn.id from EnvControlDevices b inner join SpaceAndDevice sd on b.DeviceID=sd.dev_id inner join PartitionNode pn on sd.space_id = pn.space_id inner join `Partition` p on (sd.space_id = pn.space_id  and p.is_deleted=0) on duplicate key update env_ctrl_info_id=values(env_ctrl_info_id),partition_id=values(EnvControlAndPartitionNode.partition_id);

insert into GraphicAndPartitionNode(session_id, partition_id) SELECT DISTINCT b.`session`,pn.id from GraphicSessionMember b inner join SpaceAndDevice sd on b.device=sd.dev_id inner join PartitionNode pn on sd.space_id = pn.space_id inner join `Partition` p on (sd.space_id = pn.space_id  and p.is_deleted=0) on duplicate key update session_id=values(session_id),partition_id=values(GraphicAndPartitionNode.partition_id);

insert into SessionAndPartitionNode(session_id, partition_id,SessionAndPartitionNode.key_index,node_disabled) SELECT DISTINCT b.SessionID,pn.id,b.KeyIndex,b.DevDisabled from SessionDevice b inner join SpaceAndDevice sd on b.DeviceID=sd.dev_id inner join PartitionNode pn on sd.space_id = pn.space_id inner join `Partition` p on (sd.space_id = pn.space_id  and p.is_deleted=0) on duplicate key update session_id=values(session_id),partition_id=values(SessionAndPartitionNode.partition_id);



ALTER TABLE `nccs`.`Space` ADD COLUMN `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '空间位置' AFTER `id`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `space_type` int(11) NOT NULL DEFAULT 0 AFTER `name`;

ALTER TABLE `nccs`.`Space` ADD COLUMN `class_type` int(11) NOT NULL DEFAULT 0 AFTER `space_type`;



ALTER TABLE `nccs`.`EnvDataCh2oV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataCh2oV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataCh2oV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataCh2oV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataCh2oV2  where EnvDataCh2oV2.SpaceID=0;

DELETE EnvDataCh2oV2  FROM EnvDataCh2oV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataCh2oV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataCh2oV2.SpaceID=b.SpaceID and EnvDataCh2oV2.ReportDate=b.ReportDate and EnvDataCh2oV2.id >b.ID);

ALTER TABLE `nccs`.`EnvDataCh2oV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;





ALTER TABLE `nccs`.`EnvDataCo2V2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataCo2V2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataCo2V2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataCo2V2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataCo2V2  where EnvDataCo2V2.SpaceID=0;

DELETE EnvDataCo2V2  FROM EnvDataCo2V2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataCo2V2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataCo2V2.SpaceID=b.SpaceID and EnvDataCo2V2.ReportDate=b.ReportDate and EnvDataCo2V2.id >b.ID);

ALTER TABLE `nccs`.`EnvDataCo2V2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataHumidityV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataHumidityV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataHumidityV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataHumidityV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataHumidityV2  where EnvDataHumidityV2.SpaceID=0;

DELETE EnvDataHumidityV2  FROM EnvDataHumidityV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataHumidityV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataHumidityV2.SpaceID=b.SpaceID and EnvDataHumidityV2.ReportDate=b.ReportDate and EnvDataHumidityV2.id >b.ID);

ALTER TABLE `nccs`.`EnvDataHumidityV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataInfraredV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataInfraredV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataInfraredV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataInfraredV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataInfraredV2  where EnvDataInfraredV2.SpaceID=0;

DELETE EnvDataInfraredV2  FROM EnvDataInfraredV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataInfraredV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataInfraredV2.SpaceID=b.SpaceID and EnvDataInfraredV2.ReportDate=b.ReportDate and EnvDataInfraredV2.id >b.ID);

ALTER TABLE `nccs`.`EnvDataInfraredV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;




ALTER TABLE `nccs`.`EnvDataLightV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataLightV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataLightV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataLightV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataLightV2  where EnvDataLightV2.SpaceID=0;

DELETE EnvDataLightV2  FROM EnvDataLightV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataLightV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataLightV2.SpaceID=b.SpaceID and EnvDataLightV2.ReportDate=b.ReportDate and EnvDataLightV2.id >b.ID);

ALTER TABLE `nccs`.`EnvDataLightV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataNoiseV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataNoiseV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataNoiseV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataNoiseV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataNoiseV2  where EnvDataNoiseV2.SpaceID=0;

DELETE EnvDataNoiseV2  FROM EnvDataNoiseV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataNoiseV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataNoiseV2.SpaceID=b.SpaceID and EnvDataNoiseV2.ReportDate=b.ReportDate and EnvDataNoiseV2.id >b.ID);


ALTER TABLE `nccs`.`EnvDataNoiseV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataPm2dot5V2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataPm2dot5V2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataPm2dot5V2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataPm2dot5V2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataPm2dot5V2  where EnvDataPm2dot5V2.SpaceID=0;


DELETE EnvDataPm2dot5V2  FROM EnvDataPm2dot5V2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataPm2dot5V2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataPm2dot5V2.SpaceID=b.SpaceID and EnvDataPm2dot5V2.ReportDate=b.ReportDate and EnvDataPm2dot5V2.id >b.ID);


ALTER TABLE `nccs`.`EnvDataPm2dot5V2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataRadarV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataRadarV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataRadarV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataRadarV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataRadarV2  where EnvDataRadarV2.SpaceID=0;

DELETE EnvDataRadarV2  FROM EnvDataRadarV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataRadarV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataRadarV2.SpaceID=b.SpaceID and EnvDataRadarV2.ReportDate=b.ReportDate and EnvDataRadarV2.id >b.ID);


ALTER TABLE `nccs`.`EnvDataRadarV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataTemperatureV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataTemperatureV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataTemperatureV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataTemperatureV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataTemperatureV2  where EnvDataTemperatureV2.SpaceID=0;

DELETE EnvDataTemperatureV2  FROM EnvDataTemperatureV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataTemperatureV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataTemperatureV2.SpaceID=b.SpaceID and EnvDataTemperatureV2.ReportDate=b.ReportDate and EnvDataTemperatureV2.id >b.ID);


ALTER TABLE `nccs`.`EnvDataTemperatureV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;



ALTER TABLE `nccs`.`EnvDataTvocV2` DROP INDEX `INDEX`;

ALTER TABLE `nccs`.`EnvDataTvocV2` MODIFY COLUMN `DeviceID` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID' AFTER `ReportDate`;

ALTER TABLE `nccs`.`EnvDataTvocV2` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT '0' AFTER `Val`;

UPDATE EnvDataTvocV2 as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id;
delete from EnvDataTvocV2  where EnvDataTvocV2.SpaceID=0;

DELETE EnvDataTvocV2  FROM EnvDataTvocV2  INNER JOIN (SELECT min(id) as ID,ReportDate,SpaceID  FROM EnvDataTvocV2 GROUP BY ReportDate,SpaceID HAVING Count(1)>1) as b on (EnvDataTvocV2.SpaceID=b.SpaceID and EnvDataTvocV2.ReportDate=b.ReportDate and EnvDataTvocV2.id >b.ID);


ALTER TABLE `nccs`.`EnvDataTvocV2` ADD UNIQUE INDEX `INDEX`(`ReportDate`, `SpaceID`) USING BTREE;


update Space set  Space.location=Space.name;


CREATE TABLE `nccs`.`LogicClassAndPartitionNode`  (
   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
   `class_id` int(11) NOT NULL COMMENT '逻辑分区ID',
   `node_id` int(11) NOT NULL DEFAULT 0,
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `classDevIndex`(`class_id`, `node_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '逻辑分区设备' ROW_FORMAT = Dynamic;

insert into LogicClassAndPartitionNode(class_id, node_id) SELECT DISTINCT l.class_id,pn.id from LogicClassDevices l inner join SpaceAndDevice sd on l.device=sd.dev_id inner join PartitionNode pn on sd.space_id = pn.space_id inner join `Partition` p on (sd.space_id = pn.space_id  and p.is_deleted=0) on duplicate key update class_id=values(class_id),node_id=values(node_id);



drop table BrdModeMember;
drop table EnvControlDevices;
drop table GraphicSessionMember;
drop table LogicClassDevices;
drop table SessionDevice;
drop table UserDevices;

DROP PROCEDURE IF EXISTS Pro_Temp_ColumnWork;
DELIMITER $$
-- 1表示新增列,2表示修改列类型,3表示删除列
CREATE PROCEDURE Pro_Temp_ColumnWork(TableName VARCHAR(50),ColumnName VARCHAR(50),SqlStr VARCHAR(4000),CType INT)
BEGIN
    declare done int default false;
    declare temp_name varchar(64) default null;
    declare Rows1 int default 0;
    declare temp_sql varchar(4000) default null;
    declare cur cursor for select  TABLE_NAME  from information_schema.TABLES where TABLE_NAME like concat(TableName,'%');
    DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
    open cur;
    REPEAT
        FETCH cur into temp_name;
        if not done then
            SELECT COUNT(*) INTO Rows1  FROM INFORMATION_SCHEMA.Columns
            WHERE table_schema= 'nccs' AND table_name=temp_name AND column_name=ColumnName;
            -- 新增列
            IF (CType=1 AND Rows1<=0) THEN
                SET temp_sql := CONCAT( 'ALTER TABLE ',temp_name,' ADD COLUMN ',ColumnName,' ',SqlStr);
                -- 修改列类型
            ELSEIF (CType=2 AND Rows1>0)  THEN
                SET temp_sql := CONCAT('ALTER TABLE ',temp_name,' MODIFY  ',ColumnName,' ',SqlStr);
                -- 删除列
            ELSEIF (CType=3 AND Rows1>0) THEN
                SET temp_sql := CONCAT('ALTER TABLE  ',temp_name,' DROP COLUMN  ',ColumnName);
            ELSE  SET temp_sql :='';
            END IF;

            -- 执行命令
            IF (temp_sql<>'') THEN
                SET @SQL1 = temp_sql;
                PREPARE stmt1 FROM @SQL1;
                EXECUTE stmt1;
            END IF;

        end if;
    until done
        END REPEAT;

    close cur;

END$$

DELIMITER ;




CALL Pro_Temp_ColumnWork ('DevicePower','SchoolID','int(11) NOT NULL DEFAULT 0 AFTER `SubType`; ', 1);


DROP PROCEDURE IF EXISTS Pro_Temp_ColumnWork;

call sp_update_sub_table('DevicePower', 'INSERT INTO `nccs`.`?`(StatisticDay,DeviceID,SubID,SubType,PowerConsumed,UsedTime,SchoolID) SELECT StatisticDay,DeviceID,SubID,SubType,SUM(PowerConsumed) as  PowerConsumed,SUM(UsedTime) as UsedTime,-1 FROM `nccs`.`?`  GROUP BY StatisticDay,DeviceID,SubID,SubType on duplicate key update PowerConsumed=values(PowerConsumed),UsedTime=values(UsedTime)');
call sp_update_sub_table('DevicePower', 'DELETE FROM  `nccs`.`?`  WHERE  SchoolID!=-1');

call sp_update_sub_table('DevicePower', 'ALTER TABLE `nccs`.`?` DROP INDEX `StatisticDay`');

call sp_update_sub_table("DevicePower","ALTER TABLE `nccs`.`?` ADD COLUMN `SpaceID` int(11) NOT NULL DEFAULT 0 AFTER `SubType`");

call sp_update_sub_table("DevicePower","ALTER TABLE `nccs`.`?` ADD UNIQUE INDEX `StatisticDay`(`StatisticDay`, `DeviceID`, `SpaceID`, `SubID`, `SubType`) USING BTREE");

call sp_update_sub_table("DevicePower","UPDATE `nccs`.`?` as e,SpaceAndDevice as sp SET e.SpaceID=sp.space_id WHERE e.DeviceID=sp.dev_id");

call sp_update_sub_table('DevicePower', 'ALTER TABLE `nccs`.`?` DROP COLUMN `SchoolID`');
-- ClkMode表增加status字段

ALTER TABLE `nccs`.`CLKMode` ADD COLUMN `status` tinyint(2) NOT NULL DEFAULT 0 COMMENT '模式的状态' AFTER `receive_member_type`;

-- SectionTable删除name字段，增加section字段

ALTER TABLE `nccs`.`SectionTable` DROP INDEX `SectionTableUnique`;

ALTER TABLE `nccs`.`SectionTable` DROP INDEX `SectionTableIndex`;

ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `section` int(11) NOT NULL COMMENT '节次num' AFTER `name`;

UPDATE `nccs`.`SectionTable` SET `section` =  CONVERT(`name`, UNSIGNED) WHERE `name` REGEXP '^[0-9]+$';

DELETE FROM `nccs`.`SectionTable`  WHERE `name` NOT REGEXP '^[0-9]+$';

ALTER TABLE `nccs`.`SectionTable` DROP COLUMN `name`;

ALTER TABLE `nccs`.`SectionTable` ADD UNIQUE INDEX `SectionTableUniqueNum`(`zone`, `section`) USING BTREE;

ALTER TABLE `nccs`.`SectionTable` ADD INDEX `SectionTableIndexNum`(`zone`, `section`) USING BTREE;

-- ----------------------------
-- Table structure for MediaFileExtend
-- ----------------------------
DROP TABLE IF EXISTS `MediaFileExtend`;
CREATE TABLE `MediaFileExtend` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '媒体文件的id',
  `path` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '文件对端的路径',
  `peer_id` int(11) NOT NULL DEFAULT '0' COMMENT '对端的媒体文件id',
  `peer` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:本地;1:汇聚平台;l2:云端',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique_index` (`peer_id`,`peer`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=latin1;


-- ----------------------------
-- Table structure for PlaySessionExtend
-- ----------------------------
DROP TABLE IF EXISTS `PlaySessionExtend`;
CREATE TABLE `PlaySessionExtend` (
  `SessionID` int(11) NOT NULL,
  `PeerSessionID` int(11) NOT NULL COMMENT '对端的任务关联ID',
  `Peer` tinyint(4) NOT NULL COMMENT '0表示本地。1表示汇聚平台。2表示云端。3表示第三方OpenAPI',
  `Description` varchar(512) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '该任务的描述信息',
  `SyncValue` int(11) NOT NULL DEFAULT '0',
  `UpdateTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `CreateTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`SessionID`),
  UNIQUE KEY `peerSessoinUniqueIndex` (`PeerSessionID`,`Peer`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


ALTER TABLE `nccs`.`MediaFiles` ADD COLUMN `CreateSource` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0表示本地。1表示汇聚平台。2表示云端。3表示第三方OpenAPI' AFTER `Check`;
ALTER TABLE `nccs`.`PlaySessions` ADD COLUMN `CreateSource` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0表示本地。1表示汇聚平台。2表示云端。3表示第三方OpenAPI' AFTER `ReceivingEndType`;

-- ----------------------------
-- Timetable ADD COLUMN and change DevId to SpaceID 
-- ----------------------------

ALTER TABLE `nccs`.`Timetable` DROP INDEX `only`;

ALTER TABLE `nccs`.`Timetable` DROP INDEX `deviceId_idx`;

ALTER TABLE `nccs`.`Timetable` DROP FOREIGN KEY `deviceIdKey`;

ALTER TABLE `nccs`.`Timetable` DROP FOREIGN KEY `userIdKey`;

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `TermName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT "" COMMENT '学年-学期。如：2023-2024-1' AFTER `Id`;

UPDATE `nccs`.`Timetable` SET `TermName` = (IFNULL((SELECT Description from `nccs`.`BaseInfo` where InfomationID = 285),''));

ALTER TABLE `nccs`.`Timetable` MODIFY COLUMN `WeekDay` tinyint(4) NOT NULL DEFAULT 0 COMMENT '上课星期' AFTER `TermName`;

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `StartSection` int(11) NOT NULL DEFAULT 0 COMMENT '开始节次' AFTER `WeekDay`;

ALTER TABLE `nccs`.`Timetable` MODIFY COLUMN `Start` datetime(0) NOT NULL DEFAULT '9999-12-31 23:59:59' COMMENT '开始时间' AFTER `StartSection`;

UPDATE `nccs`.`Timetable` SET `StartSection` = (IFNULL((SELECT `section` from `nccs`.`SectionTable` where `start` = time(`nccs`.`Timetable`.`Start`) limit 1), 0));

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `EndSection` int(11) NOT NULL DEFAULT 0 COMMENT '结束节次' AFTER `Start`;

ALTER TABLE `nccs`.`Timetable` MODIFY COLUMN `End` datetime(0) NOT NULL DEFAULT '0000-01-01 00:00:00' COMMENT '结束时间' AFTER `EndSection`;

UPDATE `nccs`.`Timetable` SET `EndSection` =  (IFNULL((SELECT `section` from `nccs`.`SectionTable` where `end` = time(`nccs`.`Timetable`.`End`) limit 1), 0));

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `SpaceID` int(11) NOT NULL COMMENT '空间ID' AFTER `End`;

UPDATE `nccs`.`Timetable` SET `SpaceID` = (IFNULL((SELECT space_id from `nccs`.`SpaceAndDevice` where dev_id = `nccs`.`Timetable`.`DevId`), 0));

ALTER TABLE `nccs`.`Timetable` DROP COLUMN `DevId`;

ALTER TABLE `nccs`.`Timetable` DROP INDEX `table_idx`;

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `ClassName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT "" COMMENT '教室名称' AFTER `SpaceID`;

UPDATE `nccs`.`Timetable` SET `ClassName` = (IFNULL((SELECT `name` from `nccs`.`Space` where id = `nccs`.`Timetable`.`SpaceID`), ''));

ALTER TABLE `nccs`.`Timetable` MODIFY COLUMN `UserId` int(11) NOT NULL DEFAULT 0 COMMENT '老师在idste系统ID' AFTER `ClassName`;

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `UserSn` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT "" COMMENT '老师工号' AFTER `UserId`;

UPDATE `nccs`.`Timetable` SET `UserSn` = (IFNULL((SELECT `User_Sn` from `nccs`.`Users` where `User_ID` = `nccs`.`Timetable`.`UserId`),""));

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `UserName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT "" COMMENT '老师姓名' AFTER `UserSn`;

UPDATE `nccs`.`Timetable` SET `UserName` = (IFNULL((SELECT `User_Desc` from `nccs`.`Users` where `User_ID` = `nccs`.`Timetable`.`UserId`), ''));

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `CourseName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT "" COMMENT '课程名称' AFTER `UserName`;

ALTER TABLE `nccs`.`Timetable` ADD UNIQUE INDEX `only`(`SpaceID`, `UserId`, `WeekDay`, `Start`, `End`, `Type`, `TermName`) USING BTREE;

ALTER TABLE `nccs`.`Timetable` ADD INDEX `deviceId_idx`(`SpaceID`) USING BTREE;

ALTER TABLE `nccs`.`Timetable` ADD INDEX `table_idx`(`SpaceID`, `UserId`) USING BTREE;

-- Timetable change end --


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;