-- MySQL Workbench Synchronization
-- Generated: 2023-04-17 14:44:57
-- Model: nccs
-- Version: D08.03.07
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- 处理以前版本手动任务的模板和模式不为空的情况
update PlaySessions set Template = null, BrdMode = null where SessionType in(2, 9);


CREATE TABLE IF NOT EXISTS `nccs`.`CourseRecord`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `teacher_id` int(11) NOT NULL DEFAULT 0 COMMENT '教室ID',
    `teacher_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '教师名称',
    `course` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '课程信息',
    `class_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '教室名称',
    `space_id` int(11) NOT NULL DEFAULT '0' COMMENT '空间ID',
    `record_user_id` int(11) NOT NULL DEFAULT 0 COMMENT '评价人ID',
    `record_user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '评价人名称',
    `content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '评论内容',
    `level` int(11) NOT NULL DEFAULT '0' COMMENT '星级',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '巡课评论表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `nccs`.`CourseUser`  (
      `id` int(11) NOT NULL AUTO_INCREMENT,
      `user_id` int(11) NOT NULL COMMENT '巡课老师ID',
      `course_user_id` int(11) NOT NULL COMMENT '被巡课老师ID',
      `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
      `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
      PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `nccs`.`CourseComment`  (
     `id` int(11) NOT NULL AUTO_INCREMENT,
     `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
     `content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自定义评论表' ROW_FORMAT = DYNAMIC;



ALTER TABLE `nccs`.`Space` ADD COLUMN `record_config` varchar(600) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '录播配置' AFTER `master_dev_id`;

ALTER TABLE `nccs`.`Monitor` ADD COLUMN `name` VARCHAR(255) NOT NULL DEFAULT '' AFTER `space_id`;

UPDATE Monitor m  INNER JOIN (SELECT MIN(id) as id ,space_id FROM Monitor GROUP BY space_id) as m1 on m1.space_id=m.space_id  SET m.`name`=IF(m1.id=m.id,'监控1','监控2');


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;