-- MySQL Workbench Synchronization
-- Generated: 2023-05-19 14:44:57
-- Model: nccs
-- Version: D08.03.15
-- Project: idsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE TABLE IF NOT EXISTS `nccs`.`ThirdClassQRCode`  (
    `dev_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备id',
    `app_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'OpenAPI app id',
    `qrcode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '第三方二维码',
    UNIQUE INDEX `index`(`dev_id`, `app_id`) USING BTREE COMMENT '设备id和app_id联合索引'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '第三方教室二维码' ROW_FORMAT = Dynamic;

-- 数据迁移
INSERT IGNORE INTO `nccs`.`ThirdClassQRCode` ( `dev_id`, `app_id`, `qrcode` ) ( SELECT `dev_id`, `app_id`, `qrcode` FROM `nccs`.`ThirdClassDevices` WHERE `qrcode` <> '' );
-- 删除未绑定教室的记录
DELETE FROM `nccs`.`ThirdClassDevices` WHERE `third_class_id` IS NULL;
-- 删除qrcode字段
ALTER TABLE `nccs`.`ThirdClassDevices` DROP COLUMN `qrcode`;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;