-- MySQL Workbench Synchronization
-- Generated: 2023-09-11 10:41:16
-- Model: nccs
-- Version: D08.05.01
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';


CREATE TABLE IF NOT EXISTS `nccs`.`Asset`  (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '资产编号，从1开始自增',
    `space_id` int(11) UNSIGNED NULL DEFAULT NULL COMMENT '资产归属空间',
    `sn` varchar(64) NOT NULL DEFAULT '' COMMENT '资产序列号，idste资产为设备ID',
    `introduction_time` varchar(32) NOT NULL DEFAULT '' COMMENT '资产启用时间，YYYY-MM-DD格式',
    `status` smallint(6) UNSIGNED NOT NULL DEFAULT 1 COMMENT '资产状态,1-在用，2-报废',
    `vendor` varchar(255) NOT NULL DEFAULT '' COMMENT '资产厂商',
    `asset_class` varchar(64) NOT NULL DEFAULT '' COMMENT '资产分类',
    `asset_type` varchar(64) NOT NULL DEFAULT '' COMMENT '资产具体型号',
    `num_prefix` varchar(64) NOT NULL DEFAULT '' COMMENT '资产编号前缀',
    `rated_life` smallint(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT '资产额定寿命，单位：月',
    `supplier` varchar(255) NOT NULL DEFAULT '' COMMENT '供货商',
    `purchase_time` varchar(32) NOT NULL DEFAULT '' COMMENT '采购时间，YYYY-MM-DD格式',
    `purchase_amount` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '采购数量',
    `warranty_expire_time` varchar(32) NOT NULL DEFAULT '' COMMENT '资产质保过期时间，YYYY-MM-DD格式',
    `update_user` int(11) UNSIGNED NULL DEFAULT NULL COMMENT '记录更新用户ID',
    `is_deleted` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否删除，0-未删除，1-已删除',
    `remark` varchar(1024) NOT NULL DEFAULT '' COMMENT '备注',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '记录更新时间',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录创建时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `sn_index`(`sn`) USING BTREE COMMENT 'sn索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '资产信息表' ROW_FORMAT = DYNAMIC;


CREATE TABLE IF NOT EXISTS `nccs`.`AssetBatch`  (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键，批次ID',
    `vendor` varchar(255) NOT NULL DEFAULT '' COMMENT '资产厂商',
    `asset_class` varchar(64) NOT NULL DEFAULT '' COMMENT '资产分类',
    `asset_type` varchar(64) NOT NULL DEFAULT '' COMMENT '资产具体型号',
    `num_prefix` varchar(64) NOT NULL DEFAULT '' COMMENT '资产编号前缀',
    `rated_life` smallint(6) UNSIGNED NOT NULL DEFAULT 0 COMMENT '资产额定寿命，单位：月',
    `supplier` varchar(255) NOT NULL DEFAULT '' COMMENT '供货商',
    `purchase_time` varchar(32) NOT NULL DEFAULT '' COMMENT '采购时间，YYYY-MM-DD格式',
    `purchase_amount` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '采购数量',
    `warranty_expire_time` varchar(32) NOT NULL DEFAULT '' COMMENT '资产质保过期时间，YYYY-MM-DD格式',
    `update_user` int(11) UNSIGNED NULL DEFAULT NULL COMMENT '记录更新用户ID',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '资产批次录入表' ROW_FORMAT = DYNAMIC;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;