-- MySQL Workbench Synchronization
-- Generated: 2023-09-11 10:41:16
-- Model: nccs
-- Version: D08.05.01
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Table structure for ICarePCBaseInfo
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `nccs`.`ICarePCBaseInfo`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255)  NOT NULL DEFAULT '' COMMENT 'pc设备uuid',
  `name` varchar(255)  NOT NULL DEFAULT '' COMMENT 'idstecare名称',
  `version` varchar(255)  NOT NULL DEFAULT '' COMMENT 'pc安装的icare的版本',
  `host_name` varchar(255)  NOT NULL DEFAULT '' COMMENT 'pc主机名称',
  `os` varchar(255)  NOT NULL DEFAULT '' COMMENT '操作系统版本',
  `hardware` varchar(2048)  NOT NULL DEFAULT '' COMMENT '硬件信息',
  `network_card` varchar(4096)  NOT NULL DEFAULT '' COMMENT '网卡信息列表。json格式',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uuid_index`(`uuid` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- -----------------------------------------------------
-- Table structure for ICarePCConfig
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `nccs`.`ICarePCConfig`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255)  NOT NULL COMMENT 'pc uuid',
  `name` varchar(255)  NOT NULL COMMENT 'idstecare名称',
  `device_id` varchar(10)  NOT NULL COMMENT '绑定设备id',
  `device_ip` varchar(15)  NOT NULL COMMENT '绑定设备ip',
  `broker_ip` varchar(15)  NOT NULL COMMENT '服务器ip',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uuid_index`(`uuid` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`Timetable` DROP INDEX `only`;
ALTER TABLE `nccs`.`Timetable` ADD COLUMN `Week` int(3) NOT NULL DEFAULT 0 COMMENT '上课周次' AFTER `TermName`;
ALTER TABLE `nccs`.`Timetable` ADD UNIQUE INDEX `only`(`TermName` ASC, `Week` ASC, `WeekDay` ASC, `Start` ASC, `End` ASC, `SpaceID` ASC, `UserId` ASC) USING BTREE;

ALTER TABLE `nccs`.`SystemLog` MODIFY COLUMN `detail` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL AFTER `action`;

ALTER TABLE `nccs`.`RfConfig` MODIFY COLUMN `PwrID` int(11) NOT NULL FIRST;

ALTER TABLE `nccs`.`RfConfig` ADD COLUMN `VendorID` int(11) NOT NULL DEFAULT 0 COMMENT '厂家ID' AFTER `DevID`;

ALTER TABLE `nccs`.`RfConfig` ADD COLUMN `ProductID` int(11) NOT NULL DEFAULT 0 COMMENT '产品类型ID' AFTER `VendorID`;

ALTER TABLE `nccs`.`RfConfig` ADD COLUMN `URI` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' AFTER `ProductID`;


UPDATE RfConfig r INNER JOIN RfChildType child on child.ID=r.ChildType  SET r.VendorID=1,r.ProductID=2 WHERE child.RfType=0;
UPDATE RfConfig r INNER JOIN RfChildType child on child.ID=r.ChildType  SET r.VendorID=1,r.ProductID=3 WHERE child.RfType=1;
UPDATE RfConfig r INNER JOIN RfChildType child on child.ID=r.ChildType  SET r.VendorID=1,r.ProductID=4 WHERE child.RfType=2;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
