-- MySQL Workbench Synchronization
-- Generated: 2023-09-11 10:41:16
-- Model: nccs
-- Version: D08.05.01
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE TABLE IF NOT EXISTS `nccs`.`Theme`  (
    `id` bigint(20) UNSIGNED NOT NULL COMMENT '主题编号',
    `name` varchar(255) NOT NULL DEFAULT '' COMMENT '主题名称',
    `apply_dev` varchar(32) NOT NULL DEFAULT '' COMMENT '适用设备类型，如：LC04',
    `file_path` varchar(255) NOT NULL DEFAULT '' COMMENT '压缩包保存路径',
    `decompression_path` varchar(255) NOT NULL DEFAULT '' COMMENT '解压路径',
    `remark` varchar(512) NOT NULL DEFAULT '' COMMENT '主题说明、备注',
    `download_progress` tinyint(4) UNSIGNED NOT NULL DEFAULT 0 COMMENT '下载进度，0-100',
    `modify_by` int(11) UNSIGNED NULL DEFAULT NULL COMMENT '修改人用户ID',
    `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `upload_time` datetime NOT NULL COMMENT '上传时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '主题模板表' ROW_FORMAT = Dynamic;


CREATE TABLE IF NOT EXISTS `nccs`.`ThemeAndSpace`  (
    `space_id` int(11) UNSIGNED NOT NULL COMMENT '空间ID',
    `theme_id` int(11) UNSIGNED NOT NULL COMMENT '主题ID',
    `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    UNIQUE INDEX `uidx_spaceid_themeid`(`space_id`, `theme_id`) USING BTREE COMMENT '空间ID和主题ID索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '空间和主题绑定表' ROW_FORMAT = Dynamic;


CREATE TABLE IF NOT EXISTS `nccs`.`ThemeAndClockMode`  (
    `clk_mode_id` int(11) UNSIGNED NOT NULL COMMENT '电子时钟考试模式ID',
    `theme_id` int(11) UNSIGNED NOT NULL COMMENT '主题ID',
    `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    UNIQUE INDEX `uidx_clkmodeid_themeid`(`clk_mode_id`, `theme_id`) USING BTREE COMMENT '电子时钟考试模式ID和主题ID索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '主题和电子时钟考试模式绑定表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `nccs`.`Msg`  (
   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
   `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT ' 标题',
   `type` tinyint(4) NOT NULL COMMENT '类型 1：设备离线通知、2：设备硬件故障、3：用户上报故障、4、IP呼叫无人接听、5：设备IP冲突、6：云端公告，7：服务器运行告警',
   `source` tinyint(4) NOT NULL COMMENT '来源 1：基础平台，2：设备，3:用户，4：云端',
   `data` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '每个消息的具体数据、根据类别不同，结构不同',
   `content` varchar(4096) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '内容',
   `occurrence_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '消息的发送时间',
   `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
   `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS`nccs`.`UserMsg`  (
   `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
   `user_id` int(11) NOT NULL COMMENT '用户ID',
   `msg_id` int(11) NOT NULL COMMENT '消息ID',
   `is_read` tinyint(1) NOT NULL COMMENT '是否已读 0：未读，1：已读',
   `read_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '读取时间、默认创建时间',
   `processed_status` tinyint(1) NOT NULL COMMENT '0:无需处理，1：待处理，2：已处理',
   `processed_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '处理时间、默认创建时间',
   `app_status` tinyint(1) NOT NULL COMMENT 'app推送 0:无需处理，1:未推送，2：已推送。3推送失败',
   `sms_status` tinyint(1) NOT NULL COMMENT '短信推送 ',
   `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
   `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE INDEX `user_id`(`user_id`, `msg_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
