-- MySQL Workbench Synchronization
-- Generated: 2024-03-27 16:22:56
-- Model: nccs
-- Version: D08.07.03
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

ALTER TABLE `nccs`.`Theme`
    ADD COLUMN `md5` varchar(128) NOT NULL DEFAULT '' COMMENT '压缩包文件MD5值' AFTER `decompression_path`,
    CHANGE COLUMN `upload_time` `create_time` datetime NOT NULL COMMENT '创建/下载时间';

ALTER TABLE `nccs`.`ThemeAndSpace` MODIFY COLUMN `theme_id` bigint(20) UNSIGNED NOT NULL COMMENT '主题ID';

ALTER TABLE `nccs`.`ThemeAndClockMode` MODIFY COLUMN `theme_id` bigint(20) UNSIGNED NOT NULL COMMENT '主题ID';

ALTER TABLE `nccs`.`Firmware`
    MODIFY COLUMN `id` bigint(20) UNSIGNED NOT NULL COMMENT '资源编号',
    ADD COLUMN `download_progress` tinyint(4) UNSIGNED NOT NULL DEFAULT 0 COMMENT '下载进度，0-100'  AFTER `forPlat`,
    ADD COLUMN `modify_by` int(11) UNSIGNED NULL DEFAULT NULL COMMENT '修改人用户ID' AFTER `download_progress`;

UPDATE `nccs`.`Firmware` SET `download_progress` = 100;
UPDATE `nccs`.`Firmware` SET `file_path` = CONCAT('/home/upload',`file_path`) WHERE `forPlat` = 1;

ALTER TABLE `nccs`.`Users`
    CHANGE COLUMN `User_Expiry` `ICCardExpiry` datetime DEFAULT NULL COMMENT 'IC卡有效期\nUser_Type=3时需要检查IC卡过期时间\n时间为0表示不过期',
    ADD COLUMN `UserExpiry` bigint(20) UNSIGNED NULL DEFAULT NULL COMMENT '用户有效期，unix 秒级时间戳，NULL表示未设置，0 表示永不过期' AFTER `ICCardExpiry`,
    ADD COLUMN `IsFirstLogin` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否首次登录，0-否，1-是' AFTER `IsAlarmMsgReceiver`,
    ADD COLUMN `DefaultPassType` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '初始默认密码类型，0-非初始密码，1-学工号，2-手机号，3-IC卡号' AFTER `IsFirstLogin`;


DROP TABLE IF EXISTS `nccs`.`Zone`;
CREATE TABLE IF NOT EXISTS `nccs`.`Zone`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT ' 校区名称',
  `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

ALTER TABLE `nccs`.`Timetable` ADD COLUMN `ZoneID` int(11) NOT NULL DEFAULT 0 COMMENT '校区ID' AFTER `Zone`;

INSERT INTO `nccs`.`Zone`(`name`) SELECT zone FROM SectionTable GROUP BY zone;
UPDATE   `nccs`.`Timetable` as t INNER JOIN `nccs`.`Zone` as z on  t.Zone=z.`name` SET  t.ZoneID=z.id;
ALTER TABLE `nccs`.`Timetable` DROP COLUMN Zone;




ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `zone_id` int(11) NOT NULL DEFAULT 0 COMMENT '校区ID' AFTER `zone`;
ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `is_deleted`tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已删除' AFTER `end`;
ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间';
ALTER TABLE `nccs`.`SectionTable` ADD COLUMN `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间';
UPDATE   `nccs`.`SectionTable` as t INNER JOIN `nccs`.`Zone` as z on  t.zone=z.`name` SET  t.zone_id=z.id;
ALTER TABLE `nccs`.`SectionTable` DROP INDEX SectionTableUniqueNum;
ALTER TABLE `nccs`.`SectionTable` DROP INDEX SectionTableIndexNum;
ALTER TABLE `nccs`.`SectionTable` DROP COLUMN zone;
ALTER TABLE `nccs`.`SectionTable` ADD KEY `SectionTableIndexNum` (`section`);



ALTER TABLE `nccs`.`Space` ADD COLUMN `zone_id` int(11) NOT NULL DEFAULT 0 COMMENT '校区ID' AFTER `master_dev_id`;
ALTER TABLE `nccs`.`Space` ADD COLUMN `seats` int(11) NOT NULL DEFAULT 0 COMMENT '座位数' AFTER `zone_id`;
ALTER TABLE `nccs`.`Space` ADD COLUMN `dev_description` varchar(255) NOT NULL DEFAULT '' COMMENT '教室设备描述' AFTER `seats`;

DROP TABLE IF EXISTS `nccs`.`ReserveSpaceStatus`;
CREATE TABLE IF NOT EXISTS `nccs`.`ReserveSpaceStatus`  (
    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `state` tinyint(4) NOT NULL COMMENT '状态 0：关闭，1：有课，2：开放，3：已预约,4：已锁定（已开始预约）',
    `space_id` int(11) NOT NULL COMMENT '空间ID',
    `section_id` int(11) NOT NULL COMMENT '节次ID',
    `start` time NOT NULL DEFAULT '00:00:00',
    `end` time NOT NULL DEFAULT '00:00:00',
    `week` int(3) NOT NULL DEFAULT '0' COMMENT '上课周次',
    `week_day` tinyint(4) NOT NULL COMMENT '上课星期',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `nccs`.`Reserve`;
CREATE TABLE IF NOT EXISTS `nccs`.`Reserve`  (
    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `space_id` int(11) NOT NULL COMMENT '空间ID',
    `section_ids` varchar(255) NOT NULL DEFAULT '' COMMENT '开始节次ID',
    `week` int(3) NOT NULL DEFAULT '0' COMMENT '上课周次',
    `week_day` tinyint(4) NOT NULL COMMENT '上课星期',
    `apply_user_id` int(11) NOT NULL COMMENT '申请人',
    `is_proxy` tinyint(1) NOT NULL COMMENT '是否代申请 0：申请人既是使用人，1：非使用人（代申请）:',
    `use_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '使用人姓名',
    `use_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '使用人电话',
    `use_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '使用人学工号',
    `use_ic` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '使用人IC卡号',
    `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '用途',
    `state` tinyint(4) NOT NULL COMMENT '状态 0：待审核，1：不通过，2：通过、3：已撤销',
    `qrcode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '预约反扫二维码',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;


DROP TABLE IF EXISTS `nccs`.`ReserveAudit`;
CREATE TABLE IF NOT EXISTS `nccs`.`ReserveAudit`  (
      `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
      `reserve_id` int(11) NOT NULL COMMENT '预约ID',
      `name` varchar(255) NOT NULL COMMENT '审核节点名称',
      `user_id` int(11) NOT NULL COMMENT '处理人ID',
      `user_name`varchar(255) NOT NULL COMMENT '处理人',
      `state` tinyint(4) NOT NULL COMMENT '状态 0：已申请，1：未通过，2：已通过、3：已撤销',
      `remark`varchar(255) NOT NULL COMMENT '备注',
      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
      PRIMARY KEY (`id`)
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
