-- MySQL Workbench Synchronization
-- Generated: 2024-03-27 16:22:56
-- Model: nccs
-- Version: D08.07.03
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';


DROP TABLE IF EXISTS `nccs`.`WorkOrder`;
CREATE TABLE `nccs`.`WorkOrder`  (
     `id` int NOT NULL AUTO_INCREMENT,
     `type` tinyint NOT NULL COMMENT ' 0,1 表示设备故障、教室巡检',
     `space_id` int NOT NULL COMMENT '空间ID',
     `asset_id` int NOT NULL COMMENT '资产ID',
     `recipient_user_id` int NOT NULL COMMENT '接单人ID',
     `contacts` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '联系人',
     `deadline` date NULL DEFAULT NULL COMMENT '截至时间',
     `describe` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '描述',
     `priority` int NOT NULL DEFAULT '0' COMMENT '优先级 0,1,2 高中低 ',
     `create_user_id` int NOT NULL COMMENT '创建人',
     `state` tinyint NOT NULL COMMENT '0,1,2 分别表示处理中。已完成、已关闭',
     `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
     `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `nccs`.`TaskNodeHistory`;
CREATE TABLE `nccs`.`TaskNodeHistory`  (
    `id` int NOT NULL AUTO_INCREMENT,
    `task_node_id` int NOT NULL,
    `task_node_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
    `business_id` int NOT NULL COMMENT '业务id',
    `business_type` tinyint NOT NULL COMMENT '0:工单。',
    `audit_user_id` int NOT NULL COMMENT '审核人',
    `audit_time` datetime(0) NOT NULL,
    `audit_param` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '审核时，传入的参数的map字符串数据',
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `nccs`.`TaskNodeRun`;
CREATE TABLE `nccs`.`TaskNodeRun`  (
    `id` int NOT NULL AUTO_INCREMENT,
    `task_node_id` int NOT NULL,
    `task_node_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
    `audit_user_id` int NOT NULL,
    `business_id` int NOT NULL COMMENT '业务ID',
    `business_type` tinyint NOT NULL DEFAULT 0 COMMENT '流程类型 0 表示工单',
    `variable_map` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '流程运行时。流程变量',
    `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
    `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `business_id`(`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;



DROP TABLE IF EXISTS `nccs`.`IPCallRecord`;
CREATE TABLE IF NOT EXISTS `nccs`.`IPCallRecord`  (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `dev_id` varchar(50) NOT NULL DEFAULT '' COMMENT '主叫或被叫设备ID',
    `dev_ip` varchar(50) NOT NULL DEFAULT '' COMMENT '主叫或被叫设备IP',
    `space_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '主叫或被叫空间ID',
    `direction` tinyint(1) UNSIGNED NOT NULL COMMENT 'IP对讲方向：1 - 设备主叫，2 - Web 控制台主叫',
    `call_uid` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'IP呼叫发起方用户ID，0-无效值',
    `call_time` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'IP呼叫发起时间，秒级时间戳',
    `call_type` varchar(32) NOT NULL COMMENT '呼叫类型：0 - WebRTC 音频，兼容老中控；1 -  WebRTC 音频；2 - WebRTC 视频',
    `pickup_uid` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'IP呼叫接听方用户ID，0-无效值',
    `pickup_time` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '接听时间，秒级时间戳',
    `end_time` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '结束时间(包括挂断、超时等情况)，秒级时间戳',
    `status` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '呼叫状态：0 - 未接听，1 -  已接听，2 - 已回拨',
    `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
    `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'IP对讲记录表' ROW_FORMAT = DYNAMIC;


DROP TABLE IF EXISTS `nccs`.`IPCallRecordFiles`;
CREATE TABLE IF NOT EXISTS `nccs`.`IPCallRecordFiles`  (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `record_id` int(11) UNSIGNED NOT NULL COMMENT 'IP呼叫记录ID，IPCallRecord.id',
    `type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '文件类型，1-音频文件，2-视频文件',
    `name` varchar(128) NOT NULL DEFAULT '' COMMENT '最终混合文件名称',
    `from_path` varchar(255) NOT NULL DEFAULT '' COMMENT '设备上行媒体流文件存储路径，/home/upload/ipcall/xxx 格式',
    `to_path` varchar(255) NOT NULL DEFAULT '' COMMENT '下行到设备媒体流文件存储路径，/home/upload/ipcall/xxx 格式',
    `mixed_path` varchar(255) NOT NULL DEFAULT '' COMMENT '混合文件路径，/home/upload/ipcall/xxx 格式',
    `size` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '混合文件大小，单位：字节',
    `sample_rate` int(11) UNSIGNED NOT NULL COMMENT '音频采样率，1: 8000; 2: 16000; 3: 22050; 4: 32000; 5: 44100; 6: 48000',
    `create_time` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '文件创建时间，秒级时间戳',
    `status` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '文件状态，0 - 无效/转换失败，1 - 写入中，2 - 写入完成',
    `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    `modify_by` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '修改人ID',
    `is_deleted` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '文件是否被删除，0 - 否，1 - 是',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `record_id_idx`(`record_id`) USING BTREE COMMENT '录音文件ID索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = 'IP对讲文件记录表' ROW_FORMAT = DYNAMIC;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
