-- MySQL Workbench Synchronization
-- Generated: 2024-03-27 16:22:56
-- Model: nccs
-- Version: D08.07.03
-- Project: iDsteServers
-- Author:

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';




-- ----------------------------
-- Table structure for InspectionLog
-- ----------------------------
DROP TABLE IF EXISTS `nccs`.`InspectionLog`;
CREATE TABLE `nccs`.`InspectionLog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `space_list` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
  `space_count` int(11) NOT NULL DEFAULT 0,
  `space_success` int(11) NOT NULL DEFAULT 0,
  `space_fault` int(11) NOT NULL DEFAULT 0,
  `space_uncheck` int(11) NOT NULL DEFAULT 0,
  `begin_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '开始时间',
  `dev_count` int(11) NOT NULL DEFAULT 0,
  `dev_success` int(11) NOT NULL DEFAULT 0,
  `dev_fault` int(11) NOT NULL DEFAULT 0,
  `dev_uncheck` int(11) NOT NULL DEFAULT 0,
  `check_count` int(11) NOT NULL DEFAULT 0,
  `uncheck_count` int(11) NOT NULL DEFAULT 0,
  `fault_count` int(11) NOT NULL DEFAULT 0,
  `end_time` timestamp NULL DEFAULT NULL,
  `owner` int(11) NOT NULL DEFAULT 0,
  `owner_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- ----------------------------
-- Table structure for InspectionSpaceRecord
-- ----------------------------
DROP TABLE IF EXISTS `InspectionSpaceRecord`;
CREATE TABLE `InspectionSpaceRecord` (
  `id` int NOT NULL AUTO_INCREMENT,
  `task_log_id` int NOT NULL,
  `space_id` int NOT NULL,
  `begin_time` timestamp NULL DEFAULT NULL,
  `fault` smallint NOT NULL DEFAULT '0',
  `check` smallint NOT NULL,
  `uncheck` smallint NOT NULL,
  `end_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uidx_task_log_id_space_id` (`task_log_id`,`space_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- ----------------------------
-- Table structure for InspectionResult
-- ----------------------------
DROP TABLE IF EXISTS `nccs`.`InspectionResult`;
CREATE TABLE `nccs`.`InspectionResult` (
  `id` int NOT NULL AUTO_INCREMENT,
  `task_log_id` int NOT NULL COMMENT '巡检任务记录ID',
  `space_id` int NOT NULL COMMENT '空间ID',
  `begin_time` timestamp NULL DEFAULT NULL,
  `device_type` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '设备分类',
  `device_sn` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '设备序列号',
  `device_ip` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '设备IP',
  `check_type` int NOT NULL COMMENT '检查项目',
  `check_code` int NOT NULL COMMENT '检测结果错误码',
  `result` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '检查结果',
  `detail_type` int NOT NULL DEFAULT '0',
  `detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
  `end_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uidx_task_log_id_space_id_check_type_device_sn` (`task_log_id`,`space_id`,`check_type`,`device_sn`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;


-- ----------------------------
-- Table structure for InspectionPlayingTask
-- ----------------------------
DROP TABLE IF EXISTS `InspectionPlayingTask`;
CREATE TABLE `InspectionPlayingTask` (
  `id` int NOT NULL AUTO_INCREMENT,
  `task_log_id` int NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uidx_task_log_id` (`task_log_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;




-- ----------------------------
-- Table structure for ValueAddedInitRecord
-- ----------------------------
CREATE TABLE IF NOT EXISTS `ValueAddedInitRecord`  (
  `id` int(11) NOT NULL DEFAULT 0 COMMENT '增值服务id',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '增值服务名称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '增值服务code',
  `apply_time` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '增值服务创建时间',
  `expire_time` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '增值服务过期时间',
  `is_new` tinyint(1) NOT NULL DEFAULT 1 COMMENT '该增值服务是否是新增',
  PRIMARY KEY (`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- 新版本增值服务(IP对讲录音, 教室预约, 在线巡课, 设备巡检, 工单服务)的过期时间
INSERT INTO `ValueAddedInitRecord`(`id`, `name`, `code`, `apply_time`, `expire_time`, `is_new`) VALUES (0, 'IP对讲录音', 'ipCallRecord', DATE(NOW()), DATE(date_add(NOW(),interval 2 year)), 1);
INSERT INTO `ValueAddedInitRecord`(`id`, `name`, `code`, `apply_time`, `expire_time`, `is_new`) VALUES (0, '教室预约', 'classroomReserve', DATE(NOW()), DATE(date_add(NOW(),interval 2 year)), 1);
INSERT INTO `ValueAddedInitRecord`(`id`, `name`, `code`, `apply_time`, `expire_time`, `is_new`) VALUES (0, '在线巡课', 'classroomObservation', DATE(NOW()), DATE(date_add(NOW(),interval 2 year)), 1);
INSERT INTO `ValueAddedInitRecord`(`id`, `name`, `code`, `apply_time`, `expire_time`, `is_new`) VALUES (0, '设备巡检', 'deviceInspection', DATE(NOW()), DATE(date_add(NOW(),interval 2 year)), 1);
INSERT INTO `ValueAddedInitRecord`(`id`, `name`, `code`, `apply_time`, `expire_time`, `is_new`) VALUES (0, '工单服务', 'workOrder', DATE(NOW()), DATE(date_add(NOW(),interval 2 year)), 1);

ALTER TABLE WorkOrder ADD COLUMN `fault_start_time` datetime  DEFAULT NULL COMMENT '故障时间' AFTER `state`;

ALTER TABLE WorkOrder ADD COLUMN `end_time` datetime  DEFAULT NULL COMMENT '工单结束时间/关闭时间' AFTER `fault_start_time`;

ALTER TABLE `Msg`  MODIFY `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '每个消息的具体数据、根据类别不同，结构不同';

ALTER TABLE `Msg`  MODIFY  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '内容';

-- 星期几处理
ALTER TABLE `nccs`.`Timetable` MODIFY COLUMN `WeekDay` tinyint(4) NOT NULL DEFAULT 0 COMMENT '上课星期' AFTER `Week`;

ALTER TABLE `nccs`.`RfConfig`  ADD COLUMN `ID` INT AUTO_INCREMENT PRIMARY KEY;

ALTER TABLE `nccs`.`Firmware`
    DROP PRIMARY KEY,
    ADD UNIQUE INDEX `uidx_id`(`id`) USING BTREE COMMENT 'id索引',
    ADD COLUMN `auto_id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY COMMENT '自增ID';

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
